View Issue Details

IDProjectCategoryView StatusLast Update
0025570Open CASCADEOCCT:Samplespublic2015-05-14 15:32
Reporterabv Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Target Version6.9.0Fixed in Version6.9.0 
Summary0025570: New Tcl sample scripts created for CAD Assistant
DescriptionThree new sample scripts created during development of CAD Assistant for Android:

- Penrose.tcl: creation of Penrose triangle made of boxes resembling ones from OCC logo
- pencil.tcl: creation of colored pencil model
- snowflake.tcl: creation of 2d drawing of snowflake
Steps To Reproducetest demo samples penrose
test demo samples pencil
test demo samples snowflake
TagsNo tags attached.
Test case number

Activities

git

2014-12-23 07:04

administrator   ~0035582

Branch CR25570 has been created by abv.

SHA-1: 306ddfbf932137c8f05c06e1fd57db6161947703


Detailed log of new commits:

Author: abv
Date: Tue Dec 23 07:03:42 2014 +0300

    0025570: New Tcl sample scripts created for CAD Assistant
    
    Three new sample scripts created during development of CAD Assistant for Android added in samples/tcl:
    
    - Penrose.tcl: creation of Penrose triangle made of boxes resembling ones from OCC logo
    - pencil.tcl: creation of colored pencil model
    - snowflake.tcl: creation of 2d drawing of snowflake

abv

2014-12-23 07:05

manager   ~0035583

Sergey, please review

szv

2014-12-25 16:52

manager   ~0035731

Reviewed with no comments.

git

2015-01-26 12:33

administrator   ~0036554

Branch CR25570 has been deleted by inv.

SHA-1: 306ddfbf932137c8f05c06e1fd57db6161947703

Related Changesets

occt: master 92ac0eb7

2014-12-23 04:03:42

abv


Committer: bugmaster Details Diff
0025570: New Tcl sample scripts created for CAD Assistant

Three new sample scripts created during development of CAD Assistant for Android added in samples/tcl:

- Penrose.tcl: creation of Penrose triangle made of boxes resembling ones from OCC logo
- pencil.tcl: creation of colored pencil model
- snowflake.tcl: creation of 2d drawing of snowflake
Affected Issues
0025570
add - samples/tcl/pencil.tcl Diff File
add - samples/tcl/Penrose.tcl Diff File
add - samples/tcl/snowflake.tcl Diff File
add - tests/demo/samples/pencil Diff File
add - tests/demo/samples/penrose Diff File
add - tests/demo/samples/snowflake Diff File

Issue History

Date Modified Username Field Change
2014-12-09 10:21 abv New Issue
2014-12-09 10:21 abv Assigned To => bugmaster
2014-12-23 06:53 abv Assigned To bugmaster => abv
2014-12-23 06:53 abv Status new => assigned
2014-12-23 06:53 abv Summary Sample script showing creation of Penrose triangle => New Tcl sample scripts created for CAD Assistant
2014-12-23 06:53 abv Description Updated
2014-12-23 07:04 git Note Added: 0035582
2014-12-23 07:05 abv Note Added: 0035583
2014-12-23 07:05 abv Assigned To abv => szv
2014-12-23 07:05 abv Status assigned => resolved
2014-12-23 07:05 abv Steps to Reproduce Updated
2014-12-25 16:52 szv Note Added: 0035731
2014-12-25 16:52 szv Assigned To szv => bugmaster
2014-12-25 16:52 szv Status resolved => reviewed
2014-12-26 13:33 bugmaster Changeset attached => occt master 92ac0eb7
2014-12-26 13:33 bugmaster Status reviewed => verified
2014-12-26 13:33 bugmaster Resolution open => fixed
2015-01-26 12:33 git Note Added: 0036554
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0